View Issue Details

IDProjectCategoryView StatusLast Update
0005873Multi Theft Auto : San AndreasClientpublic2011-06-17 13:15
ReporternichAssigned Toccw 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target Version1.1Fixed in Version1.1 
Summary0005873: FPS-Limiter reduces FPS
Description

The FPS limiter reduces FPS.

What I mean is:

With e.g. 60 FPS-limit, my FPS is more-or-less 60 and with some lag-spikes(smoke-water-loads of players) it goes somewhere between 48-52.
According to previous example, I should be able to play on a 35 FPS-limit without any troubles, eh? Yes, but no.

In a server with 36 FPS-limit, the FPS still drops when I have the usual lag-spikes down to 26-28 and even lower with loads of players.

So, even though my computer is more than capable of running MTA on 70+ FPS, with the limiter on, it cannot even run stable 36 FPS.

Steps To Reproduce

Try out different FPS-limits on a crowded server.

TagsNo tags attached.

Activities

ccw

2011-01-27 22:00

administrator   ~~0012794

Version?

ccw

2011-01-27 22:04

administrator   ~~0012795

This is a known issue and has been fixed in 1.1.

Maybe it could be backported to 1.0.4

nich

2011-01-28 22:07

viewer   ~~0012811

Is a compiled build where it's fixed already @ http://nightly.mtasa.com/?

Based on the pervious reports on FPS bugs, I think the problem might still exist.

ccw

2011-03-27 05:19

administrator   ~~0013124

Yes, latest 1.1 nightly will have the 'fix'

http://nightly.mtasa.com/?mtasa-1.1-unstable-latest

Issue History

Date Modified Username Field Change